-------------------------------------------------------------------------------
--
-- Copyright (C) 2015
-- ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
-- P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-------------------------------------------------------------------------------

LIBRARY IEEE, dp_lib;
USE IEEE.std_logic_1164.ALL;
USE dp_lib.tb_dp_pkg.ALL;

ENTITY tb_tb_diag_rx_seq IS
END tb_tb_diag_rx_seq;


ARCHITECTURE tb OF tb_tb_diag_rx_seq IS
BEGIN

  -- g_tx_cnt_incr    : INTEGER := 1;
  -- g_rx_use_steps   : BOOLEAN := TRUE;
  -- g_rx_steps_arr   : t_integer_arr(c_diag_seq_rx_reg_nof_steps-1 DOWNTO 0) := (OTHERS=>1);
  -- g_seq_dat_w      : NATURAL := 16
  
  u_diag_sel                   : ENTITY work.tb_diag_rx_seq GENERIC MAP ( 1, FALSE, (1,  1, 1, 1), 8);
  u_diag_steps_incr_1          : ENTITY work.tb_diag_rx_seq GENERIC MAP ( 1,  TRUE, (1,  1, 1, 1), 8);
  u_diag_steps_incr_neg_7      : ENTITY work.tb_diag_rx_seq GENERIC MAP (-7,  TRUE, (1, -7, 1, 1), 8);
  
END tb;
